package com.zd.system.api.laboratory.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.HashMap;
import java.util.Map;

/**
 * 实验室危险等级
 *
 * @Author: zhoupan
 * @Date: 2021/09/23/14:52
 * @Description:
 */
@ApiModel("实验室危险等级")
public class LabSubClassVO {
    private static final String ss= "{}级";
    private static final Map<Long,String> temp= new HashMap<>();

//    static {
//        temp = new HashMap<>();
//
//        temp.put(Long.valueOf(1l),"一级");
//        temp.put(Long.valueOf(2l),"二级");
//        temp.put(Long.valueOf(3l),"三级");
//        temp.put(Long.valueOf(4l),"四级");
//        temp.put(Long.valueOf(5l),"五级");
//        temp.put(null,"四级");
//    }

    @ApiModelProperty("实验室ID")
    private Long subjectId;

    @ApiModelProperty("危险等级ID")
    private Long classtypeId;

    @ApiModelProperty("危险等级名称")
    private String typeName;

    @ApiModelProperty("危险级别1高危险级,2较高危险级,3中危险级,4一般危险级")
    private Long dangerLevel;

    @ApiModelProperty("级别名称")
    private String levelName;

    @ApiModelProperty("级别颜色")
    private String levelColor;

    public String getLevelName() {
        return levelName;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public Long getClasstypeId() {
//        if(dangerLevel==null) return 4l;
        return classtypeId;
    }

    public void setClasstypeId(Long classtypeId) {
        this.classtypeId = classtypeId;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Long getDangerLevel() {
        return dangerLevel;
    }

    public void setDangerLevel(Long dangerLevel) {
        this.dangerLevel = dangerLevel;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getLevelColor() {
        return levelColor;
    }

    public void setLevelColor(String levelColor) {
        this.levelColor = levelColor;
    }
}
